package validators;

import java.util.ResourceBundle;

import javax.faces.application.MessageImpl;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.component.UIComponent;
import javax.faces.component.UIInput;

public class PasswordConfirmValidator implements Validator {
	private static final String pwdId = "password", pwdConfirmId = "password_confirm";

	public void validate(FacesContext fc, UIComponent c) {
		String value = (String)((UIInput)c).getValue(), other = null;

		if(value == null)
		   return;

		if(pwdId.equals(c.getComponentId())) 
		   other = (String)((UIInput)c.findComponent(pwdConfirmId)).getValue();	
		else
		   other = (String)((UIInput)c.findComponent(pwdId)).getValue();	

		if(!value.equals(other)) {
			ResourceBundle bundle = ResourceBundle.getBundle("messages");

			fc.addMessage(c, new MessageImpl(MessageImpl.SEVERITY_ERROR, 
														bundle.getString("error.password.confirm"),
														"password confirm failed"));
		}
	}
}
